<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>oska: /home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/semaphore.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="files.html">File&nbsp;List</a></div>
<h1>/home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/semaphore.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Operating system kernel abstraction -- semaphores</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef __OSKA_SEMAPHORE_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define __OSKA_SEMAPHORE_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#ifdef __OSKA_API_DOC</span>
00013 <span class="preprocessor"></span>
00020 <span class="keyword">typedef</span> implementation_defined os_semaphore_t;
00021 
00031 <span class="keywordtype">void</span> <a class="code" href="group__semaphore.html#ga0">os_semaphore_init</a>(os_semaphore_t *sem);
00032 
00042 <span class="keywordtype">void</span> <a class="code" href="group__semaphore.html#ga1">os_semaphore_wait</a>(os_semaphore_t *sem);
00043 
00053 <span class="keywordtype">void</span> <a class="code" href="group__semaphore.html#ga2">os_semaphore_post</a>(os_semaphore_t *sem);
00054 
00055 <span class="preprocessor">#endif </span><span class="comment">/* __OSKA_API_DOC */</span>
00056 
00057 <span class="preprocessor">#ifdef linux</span>
00058 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;../linux/semaphore.h&gt;</span>
00059 <span class="preprocessor">#else</span>
00060 <span class="preprocessor"></span><span class="preprocessor">#  error &lt;oska/semaphore.h&gt; not provided for this OS</span>
00061 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00062 <span class="preprocessor"></span>
00063 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef __OSKA_SEMAPHORE_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:35 2008 for oska by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
